Send an emailAsk AIpost https://api.ycloud.com/v2/emailsSends an outbound email message.Body Paramsfromstringrequired The sender's email. Its domain should be one that has been registered and activated in your account. The sender's email address is required while the sender's name is optional. For example, both [email protected] and Sender<[email protected]> work. tostringrequired The intended recipients' email addresses. Supports a comma-separated list of one or more addresses. Max items: 100. subjectstringrequiredlength ≤ 255The email subject, which contains a short string identifying the topic of the message. Max length: 255.contentstringrequired The email body. Max size: 150 KB. Variables in the form of #var_1# are supported, they should be used together with the variables parameter. Variable keys only support letters, digits, and the underline character (_). You can use the Test Templates provided by YCloud for testing. contentTypestringenumThe MIME type of the email content (text/html or text/plain). Be aware that We won't count click and open events for the type text/plain.text/htmltext/plainAllowed:text/htmltext/plainvariablesarray of objects The variable key-value pairs that will replace the variable placeholders in content for each recipient. Variable keys are those that are wrapped with # as placeholders (e.g., #var_1#) in content. The placeholders will be replaced by variable values when sending the email. The size of the array must be the same as the number of recipients in to. Be aware that cc and bcc addresses are excluded, and they can not receive emails that contain variables. This parameter's size will be calculated together with the parameter content. The whole size must not exceed 150 KB. variablesADD objectccstringRecipients who will receive a copy of the email.bccstringRecipients who will receive a blind carbon copy of the email.replyTostringIf this field exists, then the reply should go to the addresses indicated in that field and not to the address(es) indicated in the from field.summarystringlength ≤ 70This is a summary of your email. Max length: 70.externalIdstringA unique (recommended) string to reference the object. This can be an order number or similar, and can be used to reconcile the object with your internal systems.callbackUrlstringDelivery report URL. You can provide a URL, and we will push the updated status report to your server in time. e.g., https://httpbin.org/anything?tag=api. Note: We recommend configuring Webhook Endpoints instead.Response 200The request is successfully accepted.Updated 12 months ago